#include "Nop.h"

PNATIVE_CODE_LINK NcEmitNop()
{
	UCHAR RawData[] = { 0x90 };
	PNATIVE_CODE_LINK Link = new NATIVE_CODE_LINK(CODE_FLAG_IS_INST, RawData, 1, TRUE);
	//XedDecode(&Link->XedInstruction, Link->RawData, 1);
	return Link;
}

BOOL NcEmitNopGroup(ULONG Count, PNATIVE_CODE_BLOCK Block)
{
	if (Count < 1)
		return FALSE;
	while (Count)
	{
		NcAppendToBlock(Block, NcEmitNop());
		Count--;
	}
	return TRUE;
}